:root {
  --palette01: lavender;
  --palette02: #f5f5f5;
  --palette03: #33006F;
  --palette04: #663399;
  --palette05: #9370DB;
  --palette06: darkorchid;
  --palette07: #ccff90;
}


/* Banner*/
.banner {
  justify-content: center;
  display:block;
  width: 90vw;
  border-radius: 15px;
  text-align: center;
  width:100%;
}

/*Header*/
header {
  padding-bottom: 10px;
margin-bottom:-6px;
z-index:-1;
}

/*NAVIGATION */

.navbar {
  background-color:var(--palette03);
  overflow: hidden;
  border-radius: 15px;
}

.navbar a {
  float: left;
  display: block;
  color: var(--palette02);
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

.navbar a:hover {
  background-color: var(--palette06);
}

.active {
  background-color: var(--palette02);
  font-weight:800;
}

.navbar .icon {
  display: none;
}


.dropdown {
  float: left;
  overflow: hidden;
}

.dropbtn {
  border: none;
  outline: none;
  color:var(--palette07);
  padding: 14px 16px;
  background-color: inherit;
  margin: 0;
  font-size:inherit;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: var(--palette03);
  min-width:160px;
  box-shadow: 0px 8px 30px;
  z-index: 1;
}

.dropdown-content a {
  float: none;
  color: var(--palette02);
  padding: 14px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.navbar a:hover, .dropdown:hover .dropbtn {
  background-color: var(--palette05);
  color:var(--palette02);
  font-weight:bold;
}

.dropdown-content a:hover {
  background-color: var(--palette05);
  color: var(--palette07);
}

.dropdown:hover .dropdown-content {
  display: block;
}

@media screen and (max-width: 600px) {
  .navbar a:not(:first-child), .dropdown .dropbtn {
    display: none;
  }
  .navbar a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .navbar.responsive {position: relative;}
  .navbar.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .navbar.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
  .navbar.responsive .dropdown {float: none;}
  .navbar.responsive .dropdown-content {position: relative;}
  .navbar.responsive .dropdown .dropbtn {
    display: block;
    width: 100%;
    text-align: left;
  }
}

/*OC Nav*/
.ocnavtext {
font-weight:inherit;
color: var(--palette02);
background-color:var(--palette03);
border-radius:3px;

}

.ocnavtext a {
  color:var(--palette02);
  font-weight: inherit;
  background-color: var(--palette03);
}

.ocnavtext a:hover {
  font-weight:bold;
  background-color: var(--palette05);
  border-radius: 3px;
}


/* Drop Down New */


.dropdowng {
    background-color:var(--palette05);
    font-size: 1 em;
    border-radius: 15px;
    width:fit-content;
    margin:0;
}

.dropdowng .dropbtng {
  font-size: 0.9 em;
  border: var(--palette07) 1px solid;
  outline: none;
  color:var(--palette07);
  padding: 14px 16px;
  background-color: inherit;
}

.dropdown-contentg {
  display: none;
  position: absolute;
  background-color:var(--palette05);
  min-width:160px;
  box-shadow: 0px 8px 10px;
  z-index: 1;
}

.dropdown-contentg a {
  color: var(--palette02);
  padding: 14px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdowng:hover .dropbtng {
  background-color: var(--palette05);
  color:var(--palette07);
  font-weight:bold;
}

.dropdown-contentg a:hover {
  background-color: var(--palette05);
  color: var(--palette07);
  font-weight:bold;
}

.dropdowng:hover .dropdown-contentg {
  display: block;
}


@media screen and (max-width: 600px) {
 .dropdowng .dropbtng {
    text-align: left;
  }
}

/*Main*/


.main {
    background-image: url(../img/misc/Spacebgv2.png);
    color: var(--palette03);
    font-family: "Atkinson Hyperlegible Next", sans-serif;
    font-weight: 400;
    height: 100%;
    font-size: 1rem;
    line-height: 1.3em;
  }


em {
color: var(--palette06);
}

ul {
  list-style-type: "✦ ";
 }

 a {
  color:var(--palette06);
 }

 a:hover {
color: var(--palette05);
 }

/* Headers */


h1 {
  font-size: 4em;
  line-height: 1em;
  font-weight: 900;
}

h1 a:hover {
  color: var(--palette05);
}

h2 {
  font-size: 2em;
  font-weight: 900;
    line-height:1em;
}


h3 {
  font-size: 1.8em;
  line-height:1.3em;
  font-weight: 900;
}


h4 {
  font-weight: 900;
  font-size: 1.5em;
}

h5 {
    font-weight: 900;
  font-size: 1.6em;
}

h6 {
  font-weight: 900;
  font-size:1.2em;
}

hr {
  border: none;
  border-top:dotted 3px var(--palette03);
  font-size: 1rem;
  padding: 8px;
}

.headercenter {
  text-align:center;
}

summary {
  background-color: var(--palette03);
  font-weight:800;
  padding:10px;
  color:var(--palette07);
  border-radius:15px;
  width: auto;
  margin:5px;
}

img {
  border-radius: 10px;
}

button {
  background-color: var(--palette07);
  font-family: "Atkinson Hyperlegible Next", sans-serif;
  color: rebeccapurple;
  padding: 5px;
  border: 2px solid rebeccapurple;
  border-radius: 5px;

}

button:hover {
  background-color:var(--palette03);
  color: var(--palette02);
}


.gbutton {
  background-color:var(--palette03);
  color: var(--palette02);
  padding: 5px;
  margin: 2px;
  border: 2px solid rebeccapurple;
  border-radius: 5px;
}

.gbutton a{
  color:var(--palette02);
}

.gbutton:hover {
  background-color: var(--palette05);
  color: var(--palette02);
}

.gbuttonactive {
  background-color:var(--palette05);
  color: var(--palette02);
  padding: 5px;
  border-radius: 5px;
}

.gbuttonactive a{
color:var(--palette02);
}

#backtotop {
  display: none;
  position: fixed;
  bottom: 10px;
  right: 18px;
  z-index:99;
  border: var(--palette03) solid 2px;
  background-color: var(--palette07);
  color: var(--palette03);
  padding: 10px;
  font-size: 0.9em;
}

#backtotop:hover {
  background-color: var(--palette03);
  color: var(--palette02);
}

.capspurple {
  color: var(--palette02);
  background-color:var(--palette03);
  text-align: center;
  padding:10px;
  text-decoration: none;
  font-weight: 800;
  border-radius: 0px 10px 0px 10px;
}

.capspurple a{
  color: var(--palette07);
  background-color:var(--palette03);
  text-align: inherit;
  font-weight: inherit;
  text-decoration: inherit;
  padding:inherit;
  border-radius: inherit;
}

.capspurple a:hover{
  color: var(--palette02);
  background-color:var(--palette05);
  text-align: inherit;
  font-weight: inherit;
  text-decoration: inherit;
  padding:inherit;
  border-radius: inherit;
}

.capslghtpurple {
  text-align: center;
  color: var(--palette02);
  background-color:var(--palette05);
  font-weight:800;
  border-radius: 5px;
  font-size: 1em;
}

.capslghtpurple a {
  text-align: center;
  color: var(--palette02);
  padding: 3px 10px 3px 10px;
  margin: 5px 0px 5px 0px;
  font-weight:800;
  background-color: var(--palette05);
  border-radius: 5px;
}

.capslghtpurple:hover {
    text-align: center;
    background-color:var(--palette03);
  border-radius: 5px;
}


.badge {
  margin-right:5px;
  margin-bottom:5px;
  margin-top:5px;
  border-radius: 0px;
}


/* Table */
.tablestyledark {
  background-color:var(--palette03);
  font-weight: 700;
  color:var(--palette02);
  padding:5px;
  border: 1px solid var(--palette02);

}

.tablestyle {
  border: 1px solid var(--palette03);
  padding:5px;
}

table {
  border-collapse: collapse;
  padding:10px;
  line-height: normal;
  width: 100%;
  
}

tr {
  border: 1px solid var(--palette03);
}

tr:first-child {
  border-top:none;
}

tr:last-child {
  border-bottom: none;
}

/* Background / Designs */


.box {
  margin:auto;
  box-sizing: border-box; 
  width: 85%;
  padding:10px;
  }

  @media screen and (max-width: 840px) {
  .box {
    width:100%;
  }
}


.page {
    background-color:var(--palette01);
    padding: 3%;
    margin:10px 10px 0 auto;
    border-radius: 15px;
    border: 2px solid var(--palette02);
}


.footer {
  text-align: center;
  font-size: small;
  margin: 10px auto 0 auto;
  background-color: lavender;
  border: 2px solid var(--palette02);
 border-radius: 15px;
}

/* Image Gallery */

.imggallery {
display:grid;
grid-template-columns: 1fr 1fr 1fr;
}

@media screen and (max-width: 740px) {
  .imggallery {
    display:block;
  }
}

.imggallery img:hover {
opacity: 100%;
}


.imgclass {
  padding: 10px;
  text-align: center;
  
}

.imgclass img {
  width: 90%;
}



/*Blog*/

.blogpage {
  background-color: lavender;
  padding: 3%;
  border-radius: 15px;
  flex-wrap: wrap;
  border: 2px solid var(--palette02);
  margin: 20px auto auto auto;
  width: 70%;
}

@media screen and (max-width: 940px) {
.blogpage img {
width:90%;  
  }
}

@media screen and (max-width: 940px) {
  .blogpage {
    padding: 5%;
    width:90%;
  }
}


.blogcontainer {
  display:grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 10px;
  margin: 10px;
}

@media screen and (max-width: 1280px) {
  .blogcontainer {
    display:grid;
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 940px) {
  .blogcontainer {
    display:block;
    padding: 3px;
    margin: 0px;
  }
}

.blogcontainer img {
  width:fit-content;
}
  
  @media screen and (max-width: 1080px) {
    .blogcontainer img  {
      width: 100%;
}
  }

.blogborder {
  border-right: var(--palette02) 2px solid;
  padding: 10%;
  margin: 3%;
}
@media screen and (max-width: 1280px) {
  .blogborder {
    border: none;
  }
}

@media screen and (max-width: 940px) {
  .blogcontainer {
    border: none;
  }
}

.blogcol {
  padding:10px;
}

.blogheader {
background-color:var(--palette03);
padding: 10px;
color: var(--palette02);
font-weight:800;
font-size: larger;
border-radius: 15px 15px 0px 0px;
}


.blogheader2 {
  background-color:var(--palette03);
  padding: 3px;
  color: var(--palette02);
  font-weight:800;
  border-radius: 15px 15px 0px 0px;
  text-align: center;
  }

.blogtext {
  border-radius: 15px;
  background-color: var(--palette02);
}

.blogtext li{
  list-style: none;
  padding:8px;
}

.blogtext a {
  color: var(--palette06);
  padding: 0px 7px 0px 7px;
  border-radius: 5px;
  border: var(--palette06) solid 2px;
  text-decoration: none;
}

.blogtext a:hover {
  color: var(--palette03);
  border-radius: 5px;
  border: var(--palette06) solid 2px;
  background-color: var(--palette07);
}

.blogstatus {
  border: var(--palette03) solid 2px;
  padding:10px;
}

.ocheader {
  border-radius: 15px;
  background-color: var(--palette02);
  border-radius: 20px;
  border: var(--palette04) solid 2px;
}

.ocnavheader {
background-color: var(--palette04);
padding: 10px;
text-align: center;
color: var(--palette07);
border-radius: 15px 15px 0px 0px;
}

.questionnaires li{
  font-weight: 800;
  color: var(--palette04);
}

.questionnaires summary{
  border: var(--palette03) solid 2px;
  background-color: var(--palette03);
  color: var(--palette07);
  margin: 0px;
  padding: 0px 3px 0px 3px;
  border-radius: 3px;
  width: fit-content;
}

/*Icons */

.iconimg {
  width: 18px;
  border-radius: 0px;
}

.iconrss {
  width: 14px;
  background-color: var(--palette06);
  border-radius: 0px;
}

/*Icon Grid*/

.icongrid {
display: grid;
grid-template-columns: 1fr 1fr 1fr;
}

.icongrid img {
width: max-content;
border: solid 2px var(--palette03)
}


.icongridrow {
  padding: 3px;

}


/* Grids */

.gridcontainer {
  display: grid;
  grid-template-columns:1fr 1fr 1fr;
}

@media screen and (max-width: 940px) {
.gridcontainer {
display:block;
  }
}

@media screen and (max-width: 720px) {
.gridcontainer {
    display:block;
  }
}

.gridcol {
    padding: 20px;
    justify-content: center;
  }

  @media screen and (max-width: 940px) {
.gridcol{
    display:block;
  }
}

  .gridcolprofile {
    text-align: center;
      padding-bottom: 15px;
    }

  .gridrowcon {
    display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  }

    @media screen and (max-width: 940px) {
.gridrowcon{
    display:block;
  }
}




/*Container*/

.container {
  display:grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap:5px;
}

@media screen and (max-width: 1360px) {
  .container {
    display:grid;
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 720px) {
  .container {
    display:block;
  }
}

/*Character Art Containers*/

.chara_grid {
  justify-content: center;
  display: grid;
  grid-template-columns: repeat(4,1fr);
  gap: 5px;
}

@media screen and (max-width: 940px) {
  .chara_grid {
    display:grid;
    grid-template-columns: repeat(2,1fr);
  }
}

.chara_minigrid {
  text-align: center;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  gap: 5px;
    border:var(--palette05) 3px dotted;
    border-radius: 15px;
    padding:25px;
}

@media screen and (max-width: 1360px) {
  .chara_minigrid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media screen and (max-width: 1080px) {
  .chara_minigrid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
  }
}

  @media screen and (max-width: 720px) {
      .chara_minigrid {
    display:grid;
    grid-template-columns: 1fr 1fr;
    width:fit-content;
    }
  }

.chara_minigrid img {
  width: fit-content;
  
}

.gallerygrid {
  padding:15px;
  display: grid;
  gap: 5px;
}


.gallerygrid img {
  width:100%;
}


/*New OC Grid*/

.ocaboutcontainer {
  display: grid;
  grid-template-columns: repeat(3,1fr);
  gap:5px;
}

  @media screen and (max-width: 1080px) {
  .ocaboutcontainer {
    display:block;
  }
}

.ocaboutdiv {
  grid-column: span 2 / span 2;
}

.ocaboutdivgal {
  grid-column: span 3 / span 3;
  grid-row-start: 2;
}



.art_title {
  font-weight: 800;
  color: var(--palette03);
  background-color: var(--palette07);
  margin: -20px 0px 0px 0px;
  border-radius: 0px 0px 5px 5px;
}

.art_title a{
  color: var(--palette03);
  text-decoration: none;
}

.art_title a:hover{
  color: var(--palette02);
  text-decoration: none;
  background-color: var(--palette05);
}

.art_title:hover {
  color: var(--palette02);
  background-color: var(--palette05);
}

.nolink_title {
  font-weight: 800;
  color: var(--palette02);
  background-color: var(--palette03);
  margin: -20px 0px 0px 0px;
  border-radius: 0px 0px 5px 5px;
}


/*About*/
.overflowabout {
  height: 260px;
  overflow:auto;
}

.overflowarticle {
  height: 360px;
  overflow:auto;
  align-items: center;
}

.overflowarticle img{
  width:100%;
}

@media screen and (max-width: 780px) {
.overflowarticle {
height: auto;
  }
}


/* About Text*/

.centertext {
  text-align: center;
}

.aboutimg {
  justify-content: center;
  display: inline-block;
  text-align: center;
  border-radius: 50%;
  width: 95%;
}


.profiletitle {
  font-weight: 800;
  color: var(--palette02);
  background-color: var(--palette03);
  padding: 3px 10px 3px 10px;
  border-radius: 0px 0px 10px 10px;
}

.profiletext {
  text-align: left;
  overflow:auto;
  height:120px;
  padding:0px 10px 0px 15px;
  border-radius: 5px;
  border: var(--palette03) 2px solid;
  background-color: var(--palette02);
  margin: 10px;
}

.profiletext img{
  margin: 40px 0px 10px 0px;
  border: var(--palette05) 2px solid;
}

/*Comics*/

.comicimg {
  display: block;
  margin: auto;
  max-width: 100%;
  padding: 10px 0 10px 0;
}  

  .comic {
    box-sizing: border-box; 
    justify-content: center;
    margin:10px auto 0 auto;
    border-radius: 15px;
    max-width: fit-content;
  }

  .comichero {
    justify-content: center;
    display: inline-block;
    text-align: center;
  }

  .comicheropart {
    text-align: left;
    float: left;
    padding: 20px;
  }

  .comicheropart img:hover {
    opacity: 70%;

  }

    @media screen and (max-width: 780px) {
      .comicheropart img  {
        width: 100%;
      }
  }

  
/*Zelda Comic Page*/

.zelda {
  background: rgb(181,181,217);
  background: linear-gradient(90deg, rgba(181,181,217,1) 35%, rgba(221,240,244,1) 100%); 
  color: midnightblue;
  font-family: "Atkinson Hyperlegible Next", sans-serif;
  text-align: center;
}

.zelda a {
  color: darkblue;
}

.zelda a:hover {
  color: lightcyan;
}

/*Candy Witch and Familiar Page*/

.candy {
  background: rgb(252,203,98);
  background: linear-gradient(90deg, rgba(252,203,98,1) 35%, rgba(178,63,246,1) 100%); 
  color: midnightblue;
  font-family: "Atkinson Hyperlegible Next", sans-serif;
  text-align: center;
}

.candy a {
  color: white;
}

.candy a:hover {
  color: black;
}